<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% block stylesheets %}
        <link href="{{ asset('build/app.css') }}" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    {% endblock %}

    {% block javascripts %}
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    {% endblock %}
</head>

<body>
    <header>
        <nav class="nav_front">
            <div class="nav-wrapper">
                <a href="#" class="brand-logo">
                    <img src="{{ asset('img/logo.png') }}" alt="logo anybet" class="logo-user-template">
                </a>
                <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                <ul id="nav-mobile" class="right hide-on-med-and-down">

                    {% if is_granted('ROLE_USER') %} 
                    <li><a href="#category">Catégorie</a></li>
                    <li><a href="#create-bet">Création de paris</a></li>
                    <li><a href="#my-bets">Mes paris</a></li>
                    <li><a href="#my-wallet">Ma cagnotte</a></li>
                    <li>|</li>
                    <li><a href="{{ path('app_logout') }}">Se déconnecter</a></li>
                    <li><a href="{{ path('user_edit', {'id': app.user.id}) }}">Bonjour {{ app.user.username }}</a></li>
                    
                    {% else %}
                    <li><a href="#category">Catégorie</a></li>
                    <li><a href="#create-bet">Création de paris</a></li>
                    <li>|</li>
                    <li><a href="{{ path('app_register')}}">S'inscrire</a></li>
                    <li><a href="{{ path('app_login')}}">Se connecter</a></li>
                    {% endif %}
                </ul>
            </div>
          </nav>

          <ul class="sidenav" id="mobile-demo">
            <li><a href="#category">Catégorie</a></li>
            <li><a href="#create-bet">Création de paris</a></li>
            <li><a href="#my-bets">Mes paris</a></li>
            <li><a href="#my-wallet">Ma cagnotte</a></li>
            <li><a href="{{ path('app_register')}}">S'inscrire</a></li>
            <li><a href="{{ path('app_login')}}">Se connecter</a></li>
          </ul>
    </header>


    {% if  app.request.attributes.get('_route') == 'default' %}

        {{ form(form) }}

        {% if searchResultCat != null or searchResultEvent != null or searchResultBet != null %}
            <ul class="searchResults">
                {% if searchResultCat != null %}
                    <p class="searchResults-title">Catégories :</p>
                {% endif %}

                {% for result in searchResultCat %}
                        <li><a href="#">{{ result.name }}</a></li>
                {% endfor %}

                {% if searchResultEvent != null %}
                    <p class="searchResults-title">Événements :</p>
                {% endif %}
                
                {% for result in searchResultEvent %}
                    <li><a href="#">{{ result.name }}</a></li>

                {% endfor %}
                
                {% if searchResultBet != null %}
                    <p class="searchResults-title">Paris :</p>
                {% endif %}

                {% for result in searchResultBet %}
                    <li><a href="#">{{ result.name }}</a></li>
                {% endfor %}
            </ul>

        {% endif %}

    {% endif %}

    <div class="container">
        {% block body %}{% endblock %}
    </div>

    <script>
        
        $(document).ready(function(){
        $('.sidenav').sidenav();
        });
        {% for type, messages in app.flashes() %}
            {% for message in messages %}
                M.toast({html: '{{ message }}', classes: '{{ type }}'});
            {% endfor %}
        {% endfor %}
    </script>
</body>
</html>
